Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.spi
Interface DeploymentManager

public interface DeploymentManager

The core object for deploying modules to a j2ee environment

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Method Summary
`DeploymentConfiguration` | `createConfiguration(DeployableObject obj)` Retrieve server specific configuration for a component
`ProgressObject` | `distribute(Target[] targets, File moduleArchive, File deploymentPlan)` Validates the configuration, generates all container specific classes and moves the archive to the targets
`ProgressObject` | `distribute(Target[] targets, InputStream moduleArchive, InputStream deploymentPlan)` Validates the configuration, generates all container specific classes and moves the archive to the targets
`TargetModuleID[]` | `getAvailableModules(ModuleType moduleType, Target[] targets)` Get the available modules both running and non running
`Locale` | `getCurrentLocale()` Get the current local
`DConfigBeanVersionType` | `getDConfigBeanVersion()` Get the J2EE platform version
`Locale` | `getDefaultLocale()` Get the default locale
`TargetModuleID[]` | `getNonRunningModules(ModuleType moduleType, Target[] targets)` Get the non running modules
`TargetModuleID[]` | `getRunningModules(ModuleType moduleType, Target[] targets)` Get the running modules
`Locale[]` | `getSupportedLocales()` Get the supported locales
`Target[]` | `getTargets()` Get the available targets
`boolean` | `isDConfigBeanVersionSupported(DConfigBeanVersionType version)` Test whether the version is supported
`boolean` | `isLocaleSupported(Locale locale)` Is the locale supported
`boolean` | `isRedeploySupported()` Is redeploy supported
`ProgressObject` | `redeploy(TargetModuleID[] moduleIDList, File moduleArchive, File deploymentPlan)` Redeploys the modules
`ProgressObject` | `redeploy(TargetModuleID[] moduleIDList, InputStream moduleArchive, InputStream deploymentPlan)` Redeploys the modules
`void` | `release()` Release the deployment manager
`void` | `setDConfigBeanVersion(DConfigBeanVersionType version)` Set the J2EE version
`void` | `setLocale(Locale locale)` Set the locale
`ProgressObject` | `start(TargetModuleID[] moduleIDList)` Start the modules
`ProgressObject` | `stop(TargetModuleID[] moduleIDList)` Stop the modules
`ProgressObject` | `undeploy(TargetModuleID[] moduleIDList)` Removes the modules

Method Detail

### getTargets

    public Target[] getTargets()
                        throws IllegalStateException

  Get the available targets

  Returns:
    the available targets
  Throws:
    `IllegalStateException` - when the manager is disconnected

### getRunningModules

    public TargetModuleID[] getRunningModules(ModuleType moduleType,
                                              Target[] targets)
                                       throws TargetException,
                                              IllegalStateException

  Get the running modules

  Parameters:
    `moduleType` - the module type
    `targets` - the targets
  Returns:
    the target modules
  Throws:
    `TargetException` - an invalid target
    `IllegalStateException` - when the manager is disconnected

### getNonRunningModules

    public TargetModuleID[] getNonRunningModules(ModuleType moduleType,
                                                 Target[] targets)
                                          throws TargetException,
                                                 IllegalStateException

  Get the non running modules

  Parameters:
    `moduleType` - the module type
    `targets` - the targets
  Returns:
    the target modules
  Throws:
    `TargetException` - an invalid target
    `IllegalStateException` - when the manager is disconnected

### getAvailableModules

    public TargetModuleID[] getAvailableModules(ModuleType moduleType,
                                                Target[] targets)
                                         throws TargetException,
                                                IllegalStateException

  Get the available modules both running and non running

  Parameters:
    `moduleType` - the module type
    `targets` - the targets
  Returns:
    the target modules
  Throws:
    `TargetException` - an invalid target
    `IllegalStateException` - when the manager is disconnected

### createConfiguration

    public DeploymentConfiguration createConfiguration(DeployableObject obj)
                                                throws InvalidModuleException

  Retrieve server specific configuration for a component

  Parameters:
    `obj` - the deployable component
  Returns:
    the configuration
  Throws:
    `InvalidModuleException` - when the module does not exist or is not supported

### distribute

    public ProgressObject distribute(Target[] targets,
                                     File moduleArchive,
                                     File deploymentPlan)
                              throws IllegalStateException

  Validates the configuration, generates all container specific classes and moves the archive to the targets

  Parameters:
    `targets` - the targets
    `moduleArchive` - the module archive
    `deploymentPlan` - the runtime configuration
  Returns:
    the progress object
  Throws:
    `IllegalStateException` - when the manager is disconnected

### distribute

    public ProgressObject distribute(Target[] targets,
                                     InputStream moduleArchive,
                                     InputStream deploymentPlan)
                              throws IllegalStateException

  Validates the configuration, generates all container specific classes and moves the archive to the targets

  Parameters:
    `targets` - the targets
    `moduleArchive` - the module archive
    `deploymentPlan` - the runtime configuration
  Returns:
    the progress object
  Throws:
    `IllegalStateException` - when the manager is disconnected

### start

    public ProgressObject start(TargetModuleID[] moduleIDList)
                         throws IllegalStateException

  Start the modules

  Parameters:
    `moduleIDList` - the list of modules
  Returns:
    the progress object
  Throws:
    `IllegalStateException` - when the manager is disconnected

### stop

    public ProgressObject stop(TargetModuleID[] moduleIDList)
                        throws IllegalStateException

  Stop the modules

  Parameters:
    `moduleIDList` - the list of modules
  Returns:
    the progress object
  Throws:
    `IllegalStateException` - when the manager is disconnected

### undeploy

    public ProgressObject undeploy(TargetModuleID[] moduleIDList)
                            throws IllegalStateException

  Removes the modules

  Parameters:
    `moduleIDList` - the list of modules
  Returns:
    the progress object
  Throws:
    `IllegalStateException` - when the manager is disconnected

### isRedeploySupported

    public boolean isRedeploySupported()

  Is redeploy supported

  Returns:
    true when redeploy is supported, false otherwise

### redeploy

    public ProgressObject redeploy(TargetModuleID[] moduleIDList,
                                   File moduleArchive,
                                   File deploymentPlan)
                            throws UnsupportedOperationException,
                                   IllegalStateException

  Redeploys the modules

  Parameters:
    `moduleIDList` - the list of modules
  Returns:
    the progress object
  Throws:
    `IllegalStateException` - when the manager is disconnected
    `UnsupportedOperationException` - when redeploy is not supported

### redeploy

    public ProgressObject redeploy(TargetModuleID[] moduleIDList,
                                   InputStream moduleArchive,
                                   InputStream deploymentPlan)
                            throws UnsupportedOperationException,
                                   IllegalStateException

  Redeploys the modules

  Parameters:
    `moduleIDList` - the list of modules
  Returns:
    the progress object
  Throws:
    `IllegalStateException` - when the manager is disconnected
    `UnsupportedOperationException` - when redeploy is not supported

### release

    public void release()

  Release the deployment manager

### getDefaultLocale

    public Locale getDefaultLocale()

  Get the default locale

  Returns:
    the default locale

### getCurrentLocale

    public Locale getCurrentLocale()

  Get the current local

  Returns:
    the current locale

### setLocale

    public void setLocale(Locale locale)
                   throws UnsupportedOperationException

  Set the locale

  Parameters:
    `locale` - the new local
  Throws:
    `UnsupportedOperationException` - when the locale is not supported

### getSupportedLocales

    public Locale[] getSupportedLocales()

  Get the supported locales

  Returns:
    the supported locales

### isLocaleSupported

    public boolean isLocaleSupported(Locale locale)

  Is the locale supported

  Parameters:
    `locale` - the locale
  Returns:
    true when supported, false otherwise

### getDConfigBeanVersion

    public DConfigBeanVersionType getDConfigBeanVersion()

  Get the J2EE platform version

  Returns:
    the version

### isDConfigBeanVersionSupported

    public boolean isDConfigBeanVersionSupported(DConfigBeanVersionType version)

  Test whether the version is supported

  Parameters:
    `version` - the version
  Returns:
    true when supported, false otherwise

### setDConfigBeanVersion

    public void setDConfigBeanVersion(DConfigBeanVersionType version)
                               throws DConfigBeanVersionUnsupportedException

  Set the J2EE version

  Parameters:
    `version` - the version
  Throws:
    `UnsupportedOperationException` - when the version is not supported
    `DConfigBeanVersionUnsupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.